package com.brilliance.isc.swift.objmtconvert.model.mt2xx.tag.tag205cov;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt2xx.MT205COVCreator;

public class TagB33BCreator extends AbsTagCreate {
    private MT205COVCreator mt205COVCreator;

    public TagB33BCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt205COVCreator = (MT205COVCreator) absMTCreator;
    }

    @Override
    public void creator() {
        handlerCurAmtCreator(mt205COVCreator,"currencyInstructedAmount");
    }
}
